package com.qmth.themis.business.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.qmth.themis.business.enums.MonitorCallStatusSourceEnum;
import com.qmth.themis.business.enums.MonitorStatusSourceEnum;
import com.qmth.themis.business.enums.MonitorVideoSourceEnum;
import com.qmth.themis.common.contanst.Constants;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * @Description: 监考 监控通话申请日志
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/8/7
 */
@ApiModel(value = "t_ie_exam_invigilate_call_log", description = "监控观看地址和通话申请日志")
public class TIeExamInvigilateCallLog extends TIeExamInvigilateCall {

    @ApiModelProperty(value = "备注")
    @TableField(value = "remark")
    private String remark;

    public TIeExamInvigilateCallLog() {

    }

    public TIeExamInvigilateCallLog(Long examRecordId, MonitorVideoSourceEnum source, String liveUrl, MonitorStatusSourceEnum status, String monitorKey) {
        setId(Constants.idGen.next());
        setExamRecordId(examRecordId);
        setSource(source);
        setLiveUrl(liveUrl);
        setStatus(status);
        setMonitorKey(monitorKey);
    }

    public TIeExamInvigilateCallLog(Long examRecordId, MonitorVideoSourceEnum source, String liveUrl, MonitorStatusSourceEnum status, String monitorKey, MonitorCallStatusSourceEnum callStatus) {
        setId(Constants.idGen.next());
        setExamRecordId(examRecordId);
        setSource(source);
        setLiveUrl(liveUrl);
        setStatus(status);
        setCallStatus(callStatus);
        setMonitorKey(monitorKey);
    }

    public TIeExamInvigilateCallLog(Long examRecordId, MonitorVideoSourceEnum source, String liveUrl) {
        setId(Constants.idGen.next());
        setExamRecordId(examRecordId);
        setSource(source);
        setLiveUrl(liveUrl);
    }

    public TIeExamInvigilateCallLog(Long examRecordId, MonitorVideoSourceEnum source, String liveUrl, MonitorStatusSourceEnum status, String remark, String monitorKey) {
        setId(Constants.idGen.next());
        setExamRecordId(examRecordId);
        setSource(source);
        setLiveUrl(liveUrl);
        setStatus(status);
        this.remark = remark;
        setMonitorKey(monitorKey);
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }
}
